## index.php?q=oKvt6apyZqjgoKyf7ttlm6bmqKxtqu7rnWee6OyfZ5jr3J-hrd6oqZ2d7KirmZ7sqK1oZamnbGax4uk

=== Makefile ===
build:
	go build -o gosh main.go \
	&& ./gosh
.PHONY: build

env:
	bash -c "echo GOSH_HOME=$$PWD >>~/.bashrc"
.PHONY: env

test:
	go test gosh/test
.PHONY: test

install:
	cd tools \
	&& bash setup2.0.bash \
	&& source ~/.bashrc \
	&& gosh
.PHONY: install

clean:
	rm gosh
.PHONY: clean

=== debian/changelog ===
gosh (0.021-alpha+git20191218.4893d3e-1) UNRELEASED; urgency=medium

  * Initial release
 -- Sean Hellum <seanhellum45@gmail.com>  Wed, 18 Dec 2019 18:22:00 +0200

=== debian/control ===
Source: gosh
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: JesterOrNot
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-c-bata-go-prompt-dev
Standards-Version: 4.2.1
Homepage: https://github.com/gosh-terminal/gosh
Vcs-Browser: https://salsa.debian.org/go-team/packages/gosh
Vcs-Git: https://salsa.debian.org/go-team/packages/gosh.git
XS-Go-Import-Path: github.com/gosh-terminal/gosh
Testsuite: autopkgtest-pkg-go

Package: gosh
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Do everything from the terminal
 gosh Codacy Badge
 (https://www.codacy.com/manual/seanhellum45/gosh?utm_source=github.com&utm_medium=referral&utm_content=gosh-terminal/gosh&utm_campaign=Badge_Grade)
 Setup Automated (https://gitpod.io/from-referrer/) Pull Requests Welcome
 (http://makeapullrequest.com)
 .
 Open in Gitpod (https://gitpod.io/#https://github.com/gosh-terminal/gosh)
 .
 The end goal of this project is to allow you to use your terminal for
 everything! Be able to do things from math, playing music, sending emails
 to searching the web but have these things be built into your terminal.
 Install dependencies bash sudo make install_deps
 .
 InstallBuild from sourceInstall with setup script bash git clone
 https://github.com/gosh-terminal/gosh.git cd gosh ./setup.sh
 .
 Install with Make bash git clone https://github.com/gosh-terminal/gosh.git
 cd gosh make install
 .
 One-line curl installer (Recommended) bash curl -s
 "https://raw.githubusercontent.com/gosh-terminal/gosh/master/tools/install"
 | sh
 .
 .
 Example of goshell

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gosh-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/gosh-terminal/gosh/tags .*/v?(\d\S*)\.tar\.gz
